Debian Bug report logs - #602900
live-initramfs: bnx2 module cannot find firmware

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Stefan Goetz <stefan.goetz@cs.rwth-aachen.de>

Date: Tue, 9 Nov 2010 09:12:01 UTC

Severity: normal

Tags: moreinfo

Found in version 1.215.1-1grml.01

Fixed in version 2.0

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602900; Package live-initramfs. (Tue, 09 Nov 2010 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Goetz <stefan.goetz@cs.rwth-aachen.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 09 Nov 2010 09:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Goetz <stefan.goetz@cs.rwth-aachen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: bnx2 module cannot find firmware
Date: Tue, 09 Nov 2010 09:10:30 +0000
Package: live-initramfs
Version: 1.215.1-1grml.01
Severity: normal

I use a live initramfs for netbooting an installation system (FAI) on a DELL R710 server with Broadcom 5709C cards which depend on the bnx2 kernel module which in turn depends on bnx2 firmware. After including this firmware in the initrd and adding bnx2 to the list of modules to load, the module, after being loaded in the modules stage, reports that it cannot find the firmware although it is present.

The cause of this issue is that udev is not available when the module is loaded. This is because the module stage precedes the premount stage which starts udev.

My own workaround is to add a script to the premount stage which has the udev scripts as its pre-requisite and the modprobes the bnx2 module. This works, but it's a hack.

I think, udev should be started before module loading in general to fix this issue.

This issue is a duplicate of bug #578407 which was closed.

-- System Information:
Debian Release: 5.0.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-22-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                   1:1.10.2-2     Tiny utilities for small and embed
ii  file                      4.26-1         Determines file type using "magic"
ii  initramfs-tools           0.97           tools for generating an initramfs
ii  sudo                      1.6.9p17-3     Provide limited super user privile
ii  udev                      0.125-7+lenny3 /dev/ and hotplug management daemo
ii  user-setup                1.23           Set up initial user and password

Versions of packages live-initramfs recommends:
pn  cryptsetup               <none>          (no description available)
pn  eject                    <none>          (no description available)
ii  rsync                    3.0.3-2         fast remote file copy program (lik
pn  uuid-runtime             <none>          (no description available)
ii  wget                     1.11.4-2+lenny2 retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
pn  squashfs-tools                <none>     (no description available)
pn  unionfs-fuse                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602900; Package live-initramfs. (Tue, 09 Nov 2010 09:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 09 Nov 2010 09:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 602900@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Stefan Goetz <stefan.goetz@cs.rwth-aachen.de>, 602900@bugs.debian.org
Subject: Re: Bug#602900: live-initramfs: bnx2 module cannot find firmware
Date: Tue, 9 Nov 2010 10:27:41 +0100
[Message part 1 (text/plain, inline)]
* Stefan Goetz <stefan.goetz@cs.rwth-aachen.de> [Tue Nov 09, 2010 at 09:10:30AM +0000]:

> I use a live initramfs for netbooting an installation system (FAI)
> on a DELL R710 server with Broadcom 5709C cards which depend on
> the bnx2 kernel module which in turn depends on bnx2 firmware.
> After including this firmware in the initrd and adding bnx2 to the
> list of modules to load, the module, after being loaded in the
> modules stage, reports that it cannot find the firmware although
> it is present.

> The cause of this issue is that udev is not available when the
> module is loaded. This is because the module stage precedes the
> premount stage which starts udev.

> My own workaround is to add a script to the premount stage which
> has the udev scripts as its pre-requisite and the modprobes the
> bnx2 module. This works, but it's a hack.

> I think, udev should be started before module loading in general
> to fix this issue.

> This issue is a duplicate of bug #578407 which was closed.

The image mentioned in #578407 sadly isn't available anymore.
Which kernel version are you using in your setup?

Can you please try to reproduce this issue with current
live-boot/live-boot-initramfs-tools to make sure the problem is
located in the version provided through FAI (the live-initramfs
version you are reporting against) but not within Debian?

Thanks!

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602900; Package live-initramfs. (Tue, 09 Nov 2010 09:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 09 Nov 2010 09:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 602900@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Stefan Goetz <stefan.goetz@cs.rwth-aachen.de>
Cc: 602900@bugs.debian.org
Subject: Re: Bug#602900: live-initramfs: bnx2 module cannot find firmware
Date: Tue, 09 Nov 2010 10:50:57 +0100
tag 602900 moreinfo
thanks

On 11/09/2010 10:10 AM, Stefan Goetz wrote:
> I use a live initramfs for netbooting an installation system (FAI).

as michael already said, please use current squeeze. live-initramfs is
not supported anymore, see http://live.debian.net/project/lifespan/

also, do *not* add anything to the wiki. all pages in the wiki do have a
banner saying that you should not do that. instead, commit it to the
manual, see http://live.debian.net/manual/en/html/1.html#37

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 09 Nov 2010 09:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602900; Package live-initramfs. (Tue, 09 Nov 2010 10:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Götz <stefan.goetz@cs.rwth-aachen.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 09 Nov 2010 10:39:08 GMT) Full text and rfc822 format available.

Message #22 received at 602900@bugs.debian.org (full text, mbox):

From: Stefan Götz <stefan.goetz@cs.rwth-aachen.de>
To: Michael Prokop <mika@debian.org>
Cc: 602900@bugs.debian.org
Subject: Re: Bug#602900: live-initramfs: bnx2 module cannot find firmware
Date: Tue, 09 Nov 2010 11:34:18 +0100
[Message part 1 (text/plain, inline)]
> The image mentioned in #578407 sadly isn't available anymore.
> Which kernel version are you using in your setup?

The current Ubuntu Maverick kernel (2.6.35-22-server).

> Can you please try to reproduce this issue with current
> live-boot/live-boot-initramfs-tools to make sure the problem is
> located in the version provided through FAI (the live-initramfs
> version you are reporting against) but not within Debian?

Not reproducible with the current squeeze packages, udev is loaded early enough.

Thanks. I guess I need to go complaining with the FAI guys, then.

Stefan

[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602900; Package live-initramfs. (Tue, 09 Nov 2010 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 09 Nov 2010 11:15:06 GMT) Full text and rfc822 format available.

Message #27 received at 602900@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Stefan Götz <stefan.goetz@cs.rwth-aachen.de>
Cc: 602900@bugs.debian.org
Subject: Re: Bug#602900: live-initramfs: bnx2 module cannot find firmware
Date: Tue, 09 Nov 2010 12:13:53 +0100
On 11/09/2010 11:35 AM, Stefan Götz wrote:
>> as michael already said, please use current squeeze. live-initramfs is
>> not supported anymore, see http://live.debian.net/project/lifespan/
> 
> I was not aware of that, thanks for pointing it out.

np; and don't forget to keep the bug cc'ed.

>> also, do *not* add anything to the wiki. all pages in the wiki do have a
>> banner saying that you should not do that. instead, commit it to the
>> manual, see http://live.debian.net/manual/en/html/1.html#37
> 
> It seemed like the best place but I'll move it to the FAI wiki then.

why? just put it in the manual..

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to daniel@debian.org:
You have taken responsibility. (Tue, 09 Nov 2010 11:21:03 GMT) Full text and rfc822 format available.

Notification sent to Stefan Goetz <stefan.goetz@cs.rwth-aachen.de>:
Bug acknowledged by developer. (Tue, 09 Nov 2010 11:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 602900-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Stefan Götz <stefan.goetz@cs.rwth-aachen.de>, 602900-done@bugs.debian.org
Subject: Re: Bug#602900: live-initramfs: bnx2 module cannot find firmware
Date: Tue, 09 Nov 2010 12:16:43 +0100
Version: 2.0

On 11/09/2010 11:34 AM, Stefan Götz wrote:
> Not reproducible with the current squeeze packages, udev is loaded early enough.

let's close it then.

(and since it's for lenny only, it doesn't make sense to be put in the
manual then)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Dec 2010 07:30:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:48:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.